Support

Frequently Asked Questions

Is pop-pop compatible with OS X 10.5 - Leopard?

Last Updated Sep 14, 2005

pop-pop is compatible with OS 9 and OS X 10.3 or later, including the latest version of OS X 10.5.

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account